=== debian/control ===
Source: ros-humble-qb-device-bringup
Section: misc
Priority: optional
Maintainer: qb Support Team <support@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://wiki.ros.org/qb_device_bringup
Standards-Version: 3.9.2

Package: ros-humble-qb-device-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-controller-manager, ros-humble-forward-command-controller, ros-humble-joint-state-broadcaster, ros-humble-joint-state-publisher-gui, ros-humble-joint-trajectory-controller, ros-humble-robot-state-publisher, ros-humble-ros2-controllers-test-nodes, ros-humble-ros2controlcli, ros-humble-ros2launch, ros-humble-rviz2, ros-humble-xacro, ros-humble-ros-workspace
Description: This package contains a device-independent bringup utilities for qbrobotics® devices.
